function M=MSpMaplog2(m,dynamiclowlimit,dynamichighlimit);

% function M=MSpMaplog2(m,dynamiclowlimit,dynamichighlimit);

%
% calculates the log of intensity values, but with a cutoff at a minimum
% value of the intensity maximum times 10^(-dynamiclowlimit), i.e.
% prevents log(zero); optionally, the intensity values can be limited to
% high values at the maximum value times 10^(-dynamichighlimit)

% (c) 2007, Jiri Novak, ESRF Grenoble, France
 
%%%%
% This program comes with ABSOLUTELY NO WARRANTY.  This is free
% software distributed under GNU licence, see
% http://www.gnu.org/licenses/ or the attached file GPLicense.txt



if nargin==2, dynamichighlimit=0;
elseif nargin==1,
   dynamiclowlimit=9;  dynamichighlimit=0;

elseif nargin~=3

   disp('MAPLOG: usage: function M=maplog(m,[dynamiclowlimit[,dynamichighlimit]]);')

   disp('for mroe info type "help maplog"')

   error

end;

M=log10(min(max(m,10^(-dynamiclowlimit)*maxmax(m)*ones(size(m))),10^(-dynamichighlimit)*maxmax(m)*ones(size(m))));

   
function ma=maxmax(m)
	ma=max(max(m));
