% Open file
FidCfg=fopen(fname,'rw');
% go to beginning of the file
fseek(FidCfg,0,-1);
% Read data to a string tdat
dat=fread(FidCfg,inf,'uchar=>uchar');
tdat=char(dat');
% Get positions of heads
[shF,ehF]=headpos(tdat,'#F');
....
% get filename ii
tmp=tdat(shF(ii):ehF(ii));
FNameTrans{ii}=tmp(4:end);

% For #A lines one can use this function
c=SpStr2cell(line#A);
TransformParams{ii}=c;


% FidCfg should be closed whenever menu is closed

% Function for finding positions of heads
% Use:
% HeadType='#F'
% or HeadType='#A'
% or HeadType='#C'
function [hs,hf]=headpos(tdat,HeadType);
% Finds beginnings and ends of continues scan heads
% Find limits of head lines
[sc,ec]=regexp(tdat,[HeadType,'[^\n]*']);
% Where head continues on the next line?
df=sc(2:end)-ec(1:end-1)-2;
ind=find(df==0);
sc(ind+1)=[];
ec(ind)=[];
hs=sc-1; hf=ec-1;
% Skip file head
hs(1)=[];
hf(1)=[];
end;