function so=SpReduceScan(si);
% Reduce motor positions in fields to one number if the motor does not
% move during the scan.
% (c) 2007, Jiri Novak, ESRF Grenoble, France
 
%%%%
% This program comes with ABSOLUTELY NO WARRANTY.  This is free
% software distributed under GNU licence, see
% http://www.gnu.org/licenses/ or the attached file GPLicense.txt


fnames=fieldnames(si);
nf=length(fnames);
for ii=1:nf,
	cfn=fnames{ii};
	cfield=si.(cfn);
	if isnumeric(cfield),
		mi=min(cfield);
		ma=max(cfield);
		if (mi==ma),
			cfield=mi;
		end;
	end;
	so.(cfn)=cfield;
end;
	
