function MSpGUIReadA2QCfg(fname,FuncName,Args,Comment);
% Write to configuration file for Ang2Q menu
% Input: 
% fname ... name of config file (or path/filename)
% FuncName ... string with the name of function
% Args ... cell array with names of function arguments
% Comment ... string with comment

% Open file
FidCfg=fopen(fname,'a');
% go to beginning of the file
fseek(FidCfg,0,1);
% write new line
fprintf(FidCfg,'\n');
fprintf(FidCfg,'#F %s',FuncName);
fprintf(FidCfg,'\n');
fprintf(FidCfg,'#A ');
fprintf(FidCfg,'%s ',Args{:});
fprintf(FidCfg,'\n');

% Break comment into lines
for ii=1:length(Comment),
	fprintf(FidCfg,'#C %s\n',Comment{ii});
end;
%LineLen=20;
%jj=1;
%for ii=1:length(Comment),
%	if (jj>LineLen) && (Comment(ii)==' '),
%		fprintf(FidCfg,'\n#C ');
%		jj=1;
%	else
%		fprintf(FidCfg,'%s',Comment(ii));
%		jj=jj+1;
%	end;
%end;
fprintf(FidCfg,'\n');
fprintf(FidCfg,'\n');
fclose(FidCfg);
