function MatSpec

f=figure('Visible','off','Position',[300,300,525,300]);


hLoadFromSpec=uicontrol('Style','pushbutton','String','Load from SPEC','Position',[50,250,125,25],'Callback',{@loadFromSpec_Callback});
hLoadFromSpec=uicontrol('Style','pushbutton','String','Load from MAT-file','Position',[50,200,125,25],'Callback',{@loadFromMatFile_Callback});
hNormalizeIntensities=uicontrol('Style','pushbutton','String','Normalize Intensities','Position',[50,150,125,25],'Callback',{@normalizeIntensities_Callback});
hPlotRoughData=uicontrol('Style','pushbutton','String','Plot rough data','Position',[50,100,125,25],'Callback',{@plotRoughData_Callback});

hTransform2QSpace=uicontrol('Style','pushbutton','String','Transform to Q-Space','Position',[200,250,125,25],'Callback',{@transform2QSpace_Callback});
hGridData=uicontrol('Style','pushbutton','String','Grid Data','Position',[200,200,125,25],'Callback',{@griddata_Callback});
hPlotInQSpace=uicontrol('Style','pushbutton','String','Plot In Q-Space','Position',[200,150,125,25],'Callback',{@plotInQSpace_Callback});

hSave2MatFile=uicontrol('Style','pushbutton','String','Save to Mat-File','Position',[350,250,125,25],'Callback',{@save2MatFile_Callback});
hExport2Ascii=uicontrol('Style','pushbutton','String','Export to Ascii','Position',[350,200,125,25],'Callback',{@export2Ascii_Callback});

hMyScan = uicontrol('Style','text','String',{'working on data-set:'},'Position',[350,100,125,25]);
hMyScan = uicontrol('Style','popupmenu','String',{'myScan';'myScan0'},'Position',[350,75,125,25],'Callback',{@myScan_Callback});


set(f,'Name','MATSPEC');

movegui(f,'center');

set(f,'Visible','on');



end


function loadFromSpec_Callback(source, eventdata)
    disp('loadFromSpec called...');
    LoadFromSpec;
end
function loadFromMatFile_Callback(source, eventdata)
    disp('loadFromMatFile called...');
end
function normalizeIntensities_Callback(source, eventdata)
    disp('normalizeIntensities called...');
end
function plotRoughData_Callback(source, eventdata)
    disp('plotRoughData called...');
end

function transform2QSpace_Callback(source, eventdata)
    disp('transform2QSpace called...');
end
function griddata_Callback(source, eventdata)
    disp('griddata called...');
end
function plotInQSpace_Callback(source, eventdata)
    disp('plotInQSpace called...');
end

function save2MatFile_Callback(source, eventdata)
    disp('save2MatFile called...');
end
function export2Ascii_Callback(source, eventdata)
    disp('export2Ascii called...');
end

function myScan_Callback(source, eventdata)
    disp('myScan called...');
end